#!/bin/bash
RESOURCE_LOCATION=`ls -d ~/.minecraft/versions/1.* | tail -n 1`
RESOURCE_PACK=`ls $RESOURCE_LOCATION/*.jar`
echo "Resource pack located: $RESOURCE_PACK"
TMP_PATH=`mktemp -d`
echo -n "Copying and extracting resource pack… "
cp $RESOURCE_PACK $TMP_PATH
pushd $TMP_PATH > /dev/null
unzip *.jar > /dev/null
echo "done!"
echo "Unzipped resources at $TMP_PATH"
popd

FILES="birch_sign.png map.png redstone_lamp_on.png redstone_lamp.png writable_book.png diamond.png gold_ingot.png"
for FILE in $FILES; do
	echo -n "Grabbing asset from: "
	find $TMP_PATH -name $FILE -print -exec cp {} . \;
done

echo "Done grabbing resources!"
echo ""
echo "You can now copy the background blocks you wish to have from $TMP_PATH/assets/minecraft/textures/block/ into the background folder."
echo "Afterwards make sure to delete $TMP_PATH again to save disk space!"
